CRAN Package Check Results for Package dbarts

Last updated on 2021-09-21 12:53:17 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.9-19 48.38 149.25 197.63 WARN
r-devel-linux-x86_64-debian-gcc 0.9-19 30.81 105.27 136.08 WARN
r-devel-linux-x86_64-fedora-clang 0.9-19 251.99 OK
r-devel-linux-x86_64-fedora-gcc 0.9-19 236.42 OK
r-devel-windows-x86_64 0.9-19 44.00 132.00 176.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.9-19 ERROR
r-patched-linux-x86_64 0.9-19 39.56 141.34 180.90 WARN
r-patched-solaris-x86 0.9-19 276.00 OK
r-release-linux-x86_64 0.9-19 37.93 139.54 177.47 WARN
r-release-macos-arm64 0.9-19 OK
r-release-macos-x86_64 0.9-19 OK
r-release-windows-ix86+x86_64 0.9-19 99.00 201.00 300.00 OK
r-oldrel-macos-x86_64 0.9-19 OK
r-oldrel-windows-ix86+x86_64 0.9-19 98.00 277.00 375.00 OK

Additional issues

rchk

Check Details

Version: 0.9-19
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:8: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:8: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:8: the top level
     configure.ac:9: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:9: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:9: the top level
     configure.ac:10: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:10: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:10: the top level
     configure.ac:11: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:11: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:11: the top level
     configure.ac:12: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:12: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:12: the top level
     configure.ac:13: warning: The macro `AC_CONFIG_HEADER' is obsolete.
     configure.ac:13: You should run autoupdate.
     ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from...
     configure.ac:13: the top level
     configure.ac:76: warning: The macro `AC_PROG_CC_C99' is obsolete.
     configure.ac:76: You should run autoupdate.
     ./lib/autoconf/c.m4:1659: AC_PROG_CC_C99 is expanded from...
     configure.ac:76: the top level
     configure.ac:133: warning: $as_echo is obsolete; use AS_ECHO(["message"]) instead
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_pthread.m4:88: AX_PTHREAD is expanded from...
     configure.ac:133: the top level
     configure.ac:163: warning: The macro `AC_TRY_RUN' is obsolete.
     configure.ac:163: You should run autoupdate.
     ./lib/autoconf/general.m4:2997: AC_TRY_RUN is expanded from...
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_func_posix_memalign.m4:27: AX_FUNC_POSIX_MEMALIGN is expanded from...
     configure.ac:163: the top level
     configure.ac:167: warning: The macro `AC_LANG_CPLUSPLUS' is obsolete.
     configure.ac:167: You should run autoupdate.
     ./lib/autoconf/c.m4:262: AC_LANG_CPLUSPLUS is expanded from...
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_cxx_namespace_std.m4:26: AX_CXX_NAMESPACE_STD is expanded from...
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_snprintf_in_namespace_std.m4:21: AX_CXX_SNPRINTF_IN_NAMESPACE_STD is expanded from...
     configure.ac:167: the top level
     configure.ac:167: warning: The macro `AC_TRY_COMPILE' is obsolete.
     configure.ac:167: You should run autoupdate.
     ./lib/autoconf/general.m4:2847: AC_TRY_COMPILE is expanded from...
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_cxx_namespace_std.m4:26: AX_CXX_NAMESPACE_STD is expanded from...
     lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from...
     lib/m4sugar/m4sh.m4:699: AS_IF is expanded from...
     ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from...
     ./lib/autoconf/general.m4:2270: AC_CACHE_CHECK is expanded from...
     tools/m4/ax_snprintf_in_namespace_std.m4:21: AX_CXX_SNPRINTF_IN_NAMESPACE_STD is expanded from...
     configure.ac:167: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.9-19
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavor: r-devel-windows-x86_64-gcc10-UCRT